#!/bin/bash

DIR='/usr/share/cassandra/scripts/'

# Descomprime los ficheros de datos
gunzip ${DIR}*.gz

# Añade un UUID al final de cada registro de los ficheros
python ${DIR}add_uuid.py ${DIR}kddcup.data ${DIR}train_data.csv
python ${DIR}add_uuid.py ${DIR}kddcup.data_10_percent ${DIR}validation_data.csv
python ${DIR}add_uuid.py ${DIR}corrected ${DIR}test_data.csv

# Crea el keyspace, las tablas e importa los datos de los ficheros a las tablas
${DIR}scripts_cqlsh/cassandra.sh
