#!/bin/bash

DIR='/usr/share/cassandra/scripts/scripts_cqlsh/'

# Borra el keyspace intrusion_detector si existe
cqlsh -f ${DIR}keyspace_drop.cql

# Crea el keyspace intrusion_detector
cqlsh -f ${DIR}keyspace_create.cql

# Crea la tabla train_data
cqlsh -f ${DIR}train_data_table_create.cql

# Crea la tabla validation_data
cqlsh -f ${DIR}validation_data_table_create.cql

# Crea la tabla test_data
cqlsh -f ${DIR}test_data_table_create.cql

# Importa los datos del fichero kddcup.data a la tabla train_data
cqlsh -f ${DIR}train_data_table_import.cql

# Importa los datos del fichero kddcup.data_10_percent a la tabla validation_data
cqlsh -f ${DIR}validation_data_table_import.cql

# Importa los datos del fichero corrected a la tabla test_data
cqlsh -f ${DIR}test_data_table_import.cql
